## netcdf-fortran 3.5.1

=== src/fortran/Makefile ===
# Makefile for the FORTRAN interface to the netCDF library
#
# $Id: Makefile,v 1.28 2001/05/24 21:45:50 steve Exp $


include ../macros.make


INCLUDES 	= -I../libsrc
LIBRARY		= ../libsrc/libnetcdf.a
# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(LIBRARY)
HEADER		= netcdf.inc
LIB_OBJS	= \
		  fort-attio.o	\
		  fort-control.o	\
		  fort-dim.o	\
		  fort-genatt.o	\
		  fort-geninq.o	\
		  fort-genvar.o	\
		  fort-lib.o	\
		  fort-misc.o	\
		  fort-v2compat.o	\
		  fort-vario.o	\
		  fort-var1io.o	\
		  fort-varaio.o	\
		  fort-varmio.o	\
		  fort-varsio.o
#

MANUAL		= netcdf.3f

GARBAGE		= \
		  copy.nc	\
		  ftest		\
		  ftest.f77	\
		  test.nc
#

DIST_GARBAGE	= nfconfig.inc

PACKING_LIST	= \
		  cfortran.doc	\
		  cfortran.h	\
		  depend	\
		  fills.nc	\
		  fort-attio.c	\
		  fort-control.c	\
		  fort-dim.c	\
		  fort-genatt.c	\
		  fort-geninq.c	\
		  fort-genvar.c	\
		  fort-lib.c	\
		  fort-lib.h	\
		  fort-misc.c	\
		  fort-v2compat.c	\
		  fort-vario.c	\
		  fort-var1io.c	\
		  fort-varaio.c	\
		  fort-varmio.c	\
		  fort-varsio.c	\
		  ftest.F	\
		  Makefile	\
		  ncfortran.h	\
		  netcdf.3f	\
		  netcdf.inc	\
		  nfconfig.in
#


all:		$(LIBRARY) $(MANUAL)

test:		ftest FORCE
	./ftest


install:	$(INCDIR)/$(HEADER)	\
		$(MANDIR)/man3f/$(MANUAL)

uninstall:
	-rm -f $(INCDIR)/$(HEADER)
	-rm -f $(MANDIR)/man3f/$(MANUAL)
	-rm -f $(MANDIR)/man3/$(MANUAL)

ftest:		ftest.o $(LIBRARY)
	$(LINK.F) ftest.o $(ld_netcdf) $(FLIBS) $(LIBS)

# The rule for generating the manual page is here for completeness only.
# The manual page is actually part of the distribution so that we don't
# have to depend on the non-POSIX utility m4(1).
#
$(MANUAL):	../man/netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=FORTRAN $? >$@ || rm $@


include ../rules.make
include depend

ftest.o:	ftest.F
ftest.o:	netcdf.inc
ftest.o:	nfconfig.inc

=== src/nc_test/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.14 2003/08/02 15:40:37 steve Exp $

include ../macros.make
# M4FLAGS         = -s -B7168
# CC		= cc -fullwarn -woff 1209,1506


INCLUDES	= -I../libsrc

ld_math		= $(MATHLIB)

SRCS		=   nc_test.c \
		    error.c \
		    test_get.c \
		    test_put.c \
		    test_read.c \
		    test_write.c \
		    util.c

OBJS		= $(SRCS:.c=.o)

lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

time_log	= times

GARBAGE		= nc_test test.nc scratch.nc lint.out $(time_log)

PACKING_LIST	=  $(SRCS) \
		    test_get.m4 \
		    test_put.m4 \
		    error.h \
	            tests.h \
		    depend	\
		    Makefile

all:		nc_test

test:		nc_test test.nc
	./nc_test
	@echo '*** Success ***'

readonly:	nc_test test.nc
	./nc_test -r

test.nc:  nc_test
	./nc_test -c

install:

uninstall:


nc_test:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(ld_math) $(LIBS)

test_get.c:	test_get.m4

test_put.c:	test_put.m4

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) nctime.o $(ld_netcdf) $(ld_math) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

saber_src:
	#load -C $(CPPFLAGS) $(SRCS) $(ld_netcdf) $(ld_math) $(LIBS)

sync_test:	nc_sync nc_sync_child
	PATH=$$PATH:. ./nc_sync

sync_programs:	nc_enddef nc_sync nc_sync_child

nc_enddef:	nc_enddef.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_enddef.o -L../libsrc -lnetcdf

nc_sync:	nc_sync.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync.o nc_sync_sub.o -L../libsrc -lnetcdf

nc_sync_child:	nc_sync_child.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync_child.o -L../libsrc -lnetcdf


include ../rules.make
include depend

=== src/ncgen/Makefile ===
# Makefile for ncgen(1).
#
# $Id: Makefile,v 1.36 2001/05/24 21:46:08 steve Exp $

include ../macros.make

NCDUMP		= ../ncdump/ncdump
PROGRAM		= ncgen
INCLUDES	= -I../libsrc -I.
MANUAL		= ncgen.1
GARBAGE		= $(PROGRAM) \
		  netcdf.inc \
		  c0.nc c1.cdl c1.nc c2.cdl \
		  f0.nc \
		  ctest.c ctest ctest0.nc ctest1.cdl \
		  ftest.f ftest ftest0.nc ftest1.cdl

lib_netcdf	= ../libsrc/libnetcdf.a
# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(lib_netcdf)

PACKING_LIST	= Makefile depend escapes.c generic.h \
		  ncgenyy.c ncgentab.c ncgentab.h \
		  genlib.c genlib.h getfill.c init.c load.c \
		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl

OBJS		= main.o load.o ncgentab.o escapes.o \
		  getfill.o init.o genlib.o

lex		= flex
yacc		= yacc

program_srcs	= main.c load.c ncgentab.c escapes.c \
		  getfill.c init.c genlib.c

all:		$(PROGRAM)

test:           $(PROGRAM) b-test c-test f-test FORCE

install:	$(BINDIR)/$(PROGRAM) $(MANDIR)/man1/$(MANUAL)

uninstall:
	-rm -f $(BINDIR)/$(PROGRAM)
	-rm -f $(MANDIR)/man1/$(MANUAL)

$(PROGRAM):	$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(LIBS) 

# "cat >" is used in the following rule to support linktree(1)-style
# development and testing. "mv" is used to support brain-damaged make(1)
# utilities that can't handle symbolic links and insist on regenerating
# the target files (e.g. OSF/1).
#
ncgentab.c \
ncgentab.h:	ncgen.y ncgenyy.c ncgen.h
	@case `uname` in \
	OSF1) \
	    echo 1>&2 "(expect 1 shift/reduce conflict)"; \
	    set -x; \
	    $(yacc) -d ncgen.y; \
	    cat y.tab.c >ncgentab.c && rm y.tab.c; \
	    cat y.tab.h >ncgentab.h && rm y.tab.h; \
	    set +x; \
	    ;; \
	*)  echo 1>&2 "Warning: $@ is out-of-date with respect to ncgen.y"; \
	    echo 1>&2 "Warning: It should be recreated via $(yacc)" \
		"on an OSF/1 system"; \
	    : set -x; \
	    : $(yacc) -d ncgen.y; \
	    : mv y.tab.c ncgentab.c; \
	    : mv y.tab.h ncgentab.h; \
	    : set +x; \
	    ;; \
	esac

# "cat >" is used in the following rule to support linktree(1)-style
# development and testing on a Solaris system.  "mv" is used to support
# brain-damaged make(1) utilities that can't handle symbolic links and
# insist on regenerating the target file (e.g. OSF/1).
#
ncgenyy.c:	ncgen.l
	@case `uname -sr` in \
	'SunOS 5'*) \
	    $(lex) ncgen.l; \
	    cat lex.yy.c >ncgenyy.c && rm lex.yy.c; \
	    ;; \
	*)  echo 1>&2 "Warning: $@ is out-of-date with respect to ncgen.l"; \
	    echo 1>&2 "Warning: It should be recreated via $(lex)" \
		"on a SunOS 5 system"; \
	    set -x; \
	    $(lex) ncgen.l; \
	    mv lex.yy.c ncgenyy.c; \
	    set +x; \
	    ;; \
	esac

vmstab.h \
vmstab.c:	ncgen.y
	@echo 1>&2 "$@ is out-of-date with respect to $?"
	@echo 1>&2 "It must be recreated via POSIX yacc(1) on a VMS system"
	false
vms_yy.c:	ncgenyy.c
	@echo 1>&2 "$@ is out-of-date with respect to $?"
	@echo 1>&2 "It must be recreated via POSIX lex(1) on a VMS system"
	false

#
# test "-b" option of ncgen
#
b-test:		$(PROGRAM) c1.cdl
	@./$(PROGRAM) -b c1.cdl && \
	$(NCDUMP) c1.nc > c2.cdl
	@if diff c1.cdl c2.cdl; then \
	    echo "*** $(PROGRAM) -b test successful ***"; \
	else \
	    echo "*** $(PROGRAM) -b test failed ***"; \
	    exit 1; \
	fi

#
# test "-c" option of ncgen
#
c-test:	$(PROGRAM) c1.cdl
	./$(PROGRAM) -c -o ctest0.nc c0.cdl > ctest.c && \
	$(CC) -o ctest $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) ctest.c $(ld_netcdf) $(LIBS) && \
	./ctest	&& \
	$(NCDUMP) -n c1 ctest0.nc > ctest1.cdl
	@if diff c1.cdl ctest1.cdl; then \
	    echo "*** $(PROGRAM) -c test successful ***"; \
	else \
	    echo "*** $(PROGRAM) -c test failed ***"; \
	    exit 1; \
	fi

c1.cdl:	$(PROGRAM) c0.cdl
	./$(PROGRAM) -b -o c0.nc c0.cdl
	$(NCDUMP) -n c1 c0.nc > $@

#
# test "-f" option of ncgen
#
f-test:	$(PROGRAM) c0.cdl c1.cdl
	@if [ -n "$(FC)" ]; then \
	    $(MAKE) $(MFLAGS) ftest1.cdl && \
	    if diff c1.cdl ftest1.cdl; then \
		echo "*** $(PROGRAM) -f test successful ***"; \
	    else \
		echo "*** $(PROGRAM) -f test failed ***"; \
		exit 1; \
	    fi; \
	else \
	    echo 1>&2 "\`$@' not made because no FORTRAN compiler"; \
	fi

ftest1.cdl: $(PROGRAM) c0.cdl netcdf.inc
	./$(PROGRAM) -f -o ftest0.nc c0.cdl > ftest.f
	$(COMPILE.f) ftest.f
	$(FC) $(FFLAGS) $(LDFLAGS) -o ftest ftest.o $(ld_netcdf) \
	    $(FLIBS) $(LIBS)
	./ftest
	$(NCDUMP) -n c1 ftest0.nc > ftest1.cdl

netcdf.inc:
	@if [ -n "$(FC)" ]; then \
	    cp ../fortran/$@ .; \
	else \
	    echo 1>&2 "\`$@' not made because no FORTRAN compiler"; \
	fi

$(PROGRAM)_src : $(program_srcs)
	#setopt primary_language C
	#load -C $(CPPFLAGS) $(program_srcs)
	#load -C $(LIBS)
	#load -C /usr/lang/SC2.0.1/libansi.a
	#setopt program_name gribtonc

$(PROGRAM)_obj : $(program_srcs)
	#setopt primary_language C
	#load -C $(CPPFLAGS) $(OBJS)
	#load -C $(LIBS)
	#setopt program_name gribtonc

include ../rules.make

include depend

## netcdf-fortran 3.5.1-1sarge-pre1

=== src/Makefile ===
# $Id: Makefile,v 1.43 2004/01/27 14:08:14 ed Exp $


include macros.make


PACKAGE		= netcdf
SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx
DIST_GARBAGE	= \
		config.cache	\
		config.status	\
		MANIFEST
PACKING_LIST	= \
		INSTALL.html	\
		COMPATIBILITY	\
		COPYRIGHT	\
		MANIFEST	\
		Makefile	\
		README		\
		RELEASE_NOTES	\
		VERSION		\
		aclocal.m4	\
		configure	\
		configure.in	\
		macros.make.in	\
		rules.make

# I moved fortran to the bottom of the list, sometimes AIX make get's confused 
# if the C library and the fortran library are built in the same second. - Ed
all:		libsrc/all	\
		ncdump/all	\
		ncgen/all	\
		cxx/all \
		fortran/all	\
		f90/all	

test:		fortran/all \
		libsrc/test \
		nc_test/test nctest/test \
		nf_test/test fortran/test f90/test \
		ncdump/test ncgen/test cxx/test

check:		test

install:	libsrc/install \
		fortran/install \
		f90/install \
		ncdump/install \
		ncgen/install \
		cxx/install

uninstall:	libsrc/uninstall \
		fortran/uninstall \
		f90/uninstall \
		ncdump/uninstall \
		ncgen/uninstall \
		cxx/uninstall

clean:		libsrc/clean \
		nctest/clean nc_test/clean \
		fortran/clean f90/clean nf_test/clean \
		ncdump/clean ncgen/clean cxx/clean

distclean:	libsrc/distclean \
		nctest/distclean nc_test/distclean \
		fortran/distclean f90/distclean nf_test/distclean \
		ncdump/distclean ncgen/distclean cxx/distclean

libsrc/all	\
libsrc/test	\
libsrc/install	\
libsrc/uninstall	\
libsrc/clean	\
libsrc/distclean	\
nctest/all	\
nctest/test	\
nctest/clean	\
nctest/distclean	\
nc_test/all	\
nc_test/test	\
nc_test/clean	\
nc_test/distclean	\
fortran/clean	\
fortran/distclean	\
f90/clean	\
f90/distclean	\
nf_test/clean	\
nf_test/distclean	\
ncdump/all	\
ncdump/test	\
ncdump/install	\
ncdump/uninstall	\
ncdump/clean	\
ncdump/distclean	\
ncgen/all	\
ncgen/test	\
ncgen/install	\
ncgen/uninstall	\
ncgen/clean	\
ncgen/distclean	\
cxx/clean	\
cxx/distclean	\
:
	@subdir=`echo $@ | sed 's,/.*,,'`; \
	target=`echo $@ | sed 's,.*/,,'`; \
	$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target

fortran/all	\
fortran/test	\
fortran/install	\
fortran/uninstall	\
nf_test/all	\
nf_test/test	\
:
	@case "$(FC)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

f90/all	\
f90/test	\
f90/install	\
f90/uninstall	\
:
	@case "$(F90)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN-90 compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

cxx/all	\
cxx/test	\
cxx/install	\
cxx/uninstall	\
:
	@case "$(CXX)" in \
	    '') echo 1>&2 "Not making \`$@' because no C++ compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

subdir_target:
	@echo ""
	@cd $(SUBDIR) && \
	    echo "Making \`$(TGET)' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(TGET) || exit 1
	@echo ""
	@echo "Returning to directory `pwd`"
	@echo ""

install:	whatis
whatis:		$(MANDIR)/$(WHATIS)
$(MANDIR)/$(WHATIS):	$(MANDIR)
	$(MAKEWHATIS_CMD)
uninstall:
	rm -f $(MANDIR)/$(WHATIS)


################################################################################
# Distribution:

# The following rule checks to see that we're on the right system.  If we're
# not, then the distribution mightn't contain the intended ncgen(1) (not
# to mention that dvips(1) is necessary for building the C++ User's Guide).
#
check_system:	FORCE
	@case "$(OVERRIDE)" in \
	'') case `uname -sr` in \
	    'SunOS 5'*) \
		exit 0;; \
	    *)  echo 1>&2 "Error: Not on a SunOS 5 system."; \
		echo 1>&2 "Set macro OVERRIDE to override."; \
		exit 1;; \
	    esac;; \
	*) exit 0;; \
	esac

# Make a compressed, tar(1) file of the source distribution in the current 
# directory.
#
tar.Z:		check_system FORCE
	@version=`cat VERSION`; \
	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version

$(PACKAGE)-$(VERSION).tar.Z:	ensure_manifest MANIFEST
	id=$(PACKAGE)-$(VERSION) \
	&& rm -rf $$id \
	&& mkdir $$id \
	&& ln -s .. $$id/src \
	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | compress > $@ \
	&& rm -r $$id

MANIFEST:	FORCE
	$(MAKE) MANIFEST.echo >$@

# Make a compressed, tar(1) file of the source distribution in the
# appropriate FTP directory.
#
# NOTE: Making "ftp" will cause the "tar.Z" file to be made even if it
# already exists.  This is because the MANIFEST file upon which it
# depends must be remade every time.  This is not a waste of time,
# however, if the "tar.Z" target is made in private directories and the
# "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
#
ftp:		check_system FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.Z \
	    VERSION=$$version; \
	test -r $(FTPDIR)/$(PACKAGE).tar.Z || exit 0; \
	    cd $(FTPDIR) || exit 1;

$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.Z:	$(PACKAGE)-$(VERSION).tar.Z
	rm -f $@
	cp $(PACKAGE)-$(VERSION).tar.Z $@ 
	chmod u+rw,g+rw,o=r $@

# Make a compressed, tar(1) file of the binary distribution in the 
# appropriate FTP directory.
#
binftp:		FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.tar.Z \
	    VERSION=$$version; \
	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.env \
	    VERSION=$$version
ftpbin:		binftp

$(FTPBINDIR)/$(PACKAGE)-$(VERSION).tar.Z:
	rm -f $@
	id=$(PACKAGE)-$(VERSION) \
	&& rm -f $$id \
	&& ln -s $(prefix) $$id \
	&& tar $(TARFLAGS) - README $$id/bin $$id/include \
	    $$id/lib $$id/man | compress > $@ \
	&& rm $$id
	chmod u+rw,g+rw,o=r $@
	test -r $(FTPBINDIR)/$(PACKAGE).tar.Z || exit 0; \
	    cd $(FTPBINDIR) || exit 1;

$(FTPBINDIR)/$(PACKAGE)-$(VERSION).env:
	cp macros.make $@


include rules.make

=== src/f90/Makefile ===
include ../macros.make

# Override the definition for "ncdump" in "../macros.make".
NCDUMP          = ../ncdump/ncdump

LIBRARY         = ../libsrc/libnetcdf.a
LIB_OBJS        = netcdf.o typeSizes.o
GARBAGE         = netcdf_test *.mod example.nc example.cdl \
		  eightByteIntExample.nc
MANUAL          = netcdf.3f90
PACKING_LIST    = \
		Makefile \
		NOTES \
		Readme \
		f90aux.m4 \
		example_good.cdl \
		gen.m4 \
		netcdf.3f90 \
		netcdf.f90 \
		netcdf_attributes.f90 \
		netcdf_constants.f90 \
		netcdf_dims.f90 \
		netcdf_expanded.f90 \
		netcdf_externals.f90 \
		netcdf_file.f90 \
		netcdf_overloads.f90 \
		netcdf_test.f90 \
		netcdf_text_variables.f90 \
		netcdf_variables.f90 \
		netcdf_visibility.f90 \
		nvea.m4 nveaput48.m4 nveaget48.m4\
		nves.m4 nvesput48.m4 nvesget48.m4 \
		typeSizes.f90

all:            $(LIBRARY)

test:           netcdf_test
	./netcdf_test
	@$(NCDUMP) example.nc >example.cdl; \
	if cmp example_good.cdl example.cdl; then \
	    echo '*** Success ***'; \
	else \
	    echo '*** Failure ***'; \
	    diff -c example_good.cdl example.cdl; \
	fi

netcdf_test:    netcdf_test.f90 netcdf.o typeSizes.o
	$(LINK.F90) netcdf_test.f90 netcdf.o typeSizes.o $(LIBRARY) $(F90LIBS)

testEightByteGet:       testEightByteGet.o typeSizes.o $(LIBRARY)
	$(LINK.F90) $@.o $(F90LIBS) typeSizes.o $(LIBRARY)

EightByteIntTest:       EightByteIntTest.o typeSizes.o
	$(LINK.F90) $@.o typeSizes.o $(F90LIBS)

EightByteIntTest-2:     EightByteIntTest-2.o typeSizes.o
	$(LINK.F90) $@.o typeSizes.o $(F90LIBS)

typeSizes.o:    typeSizes.f90
	$(COMPILE.F90) typeSizes.f90

netcdf_expanded.f90:    gen.m4 f90aux.m4 nves.m4 nvea.m4 \
			nvesput48.m4 nvesget48.m4 nveaput48.m4 nveaget48.m4
	$(M4) gen.m4 >$@

netcdf.o:       \
	    netcdf.f90 typeSizes.o netcdf_constants.f90 netcdf_externals.f90 \
	    netcdf_overloads.f90 netcdf_visibility.f90 netcdf_file.f90 \
	    netcdf_dims.f90 netcdf_attributes.f90 netcdf_variables.f90 \
	    netcdf_text_variables.f90 netcdf_expanded.f90
	$(COMPILE.F90) netcdf.f90

install:        installed_netcdf_module installed_typesizes_module \
		$(MANDIR)/man3f90/$(MANUAL)

installed_netcdf_module:
	@if test -f netcdf.mod; then \
	    header=netcdf.mod; \
	elif test -f NETCDF.mod; then \
	    header=NETCDF.mod; \
	elif test -f NETCDF.MOD; then \
	    header=NETCDF.MOD; \
	elif test -f netcdf.MOD; then \
	    header=netcdf.MOD; \
	else \
	    echo 1>&2 "netCDF header-module not found"; \
	    exit 1; \
	fi; \
	$(MAKE) HEADER=$$header $(INCDIR)/$$header

installed_typesizes_module:
	@if test -f typesizes.mod; then \
	    header=typesizes.mod; \
	elif test -f typeSizes.mod; then \
	    header=typeSizes.mod; \
	elif test -f TYPESIZES.mod; then \
	    header=TYPESIZES.mod; \
	elif test -f TYPESIZES.MOD; then \
	    header=TYPESIZES.MOD; \
	elif test -f typeSizes.MOD; then \
	    header=typeSizes.MOD; \
	elif test -f typesizes.MOD; then \
	    header=typesizes.MOD; \
	else \
	    echo 1>&2 "typeSizes header-module not found"; \
	    exit 1; \
	fi; \
	$(MAKE) HEADER=$$header $(INCDIR)/$$header

uninstall:
	-rm -f \
	    $(INCDIR)/netcdf.mod \
	    $(INCDIR)/NETCDF.mod \
	    $(INCDIR)/NETCDF.MOD \
	    $(INCDIR)/netcdf.MOD \
	    $(INCDIR)/typesizes.mod \
	    $(INCDIR)/typeSizes.mod \
	    $(INCDIR)/TYPESIZES.mod \
	    $(INCDIR)/TYPESIZES.MOD \
	    $(INCDIR)/typeSizes.MOD \
	    $(INCDIR)/typesizes.MOD \
	    $(MANDIR)/man3f90/$(MANUAL)

include ../rules.make

.SUFFIXES:      .o .f90

.f90.o:
	$(COMPILE.F90) $<

EightByteIntTest.o:     typeSizes.o
EightByteIntTest-2.o:   typeSizes.o

=== debian/changelog ===
netcdf-fortran (3.5.1-1sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:46:53 +0900

netcdf-fortran (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 16 Mar 2004 18:10:05 +0900

netcdf-fortran (3.5.0-6) unstable; urgency=low

  * for Intel Fortran Compiler ver.8 (8.0.039) binary support 

 -- ODAKA Masatsugu <odakker@nishin>  Tue, 16 Mar 2004 18:00:38 +0900

netcdf-fortran (3.5.0-5) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:36:45 +0900
	
  * Fujitsu Fortran Compiler ver.4 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:52:19 +0900	
  * Intel Fortran Compiler ver.7 support.
  * New package for Fujitsu Fortran Compiler ver.3 added. 

 -- TAKEHIRO Shin-ichi <takepiro@potato>  Tue,  7 Jan 2003 18:37:37 +0900

netcdf-fortran (3.5.0-4) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 
  * Document directory changed. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun,  5 May 2002 16:31:14 +0900

netcdf-fortran (3.5.0-3) unstable; urgency=low

  * Intel Fortran version included.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 15:22:21 +0900

netcdf-fortran (3.5.0-2) unstable; urgency=low

  * Make only static c and fortran library.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sat, 10 Nov 2001 00:17:46 +0900

netcdf-fortran (3.5.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 19:08:22 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: netcdf-fortran
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.1.1

Package: netcdf-ffc4
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ffc (>=4.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Fujitsu Fortran&C compiler. 
 Alternative developer's package of NetCDF. 
 This package provides NetCDF static libraries
 for Fujitsu Fortran&C compiler.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#EXT=ffc
#EXT=ffc3
EXT=ffc4

FC=frt
CC=fcc
CXX=FCC
CPPFLAGS=-DNAGf90Fortran
F90FLAGS=-Am
export CPPFLAGS

#EXT=ifc
#EXT=ifc6
#EXT=ifc7
#EXT=ifc7.1
#EXT=ifc8
#export FC=ifc
#export FC=ifort
#export CC=gcc
#export CXX=g++
#export CPPFLAGS=-DNAGf90Fortran
#export F90FLAGS=-

package=netcdf-$(EXT)
export DESTDIR=$(shell expr `pwd`/debian/tmp/usr)


build:
	$(checkdir)
	(cd src && export CC=$(CC) FC=$(FC) CXX=$(CXX) CPPFLAGS=$(CPPFLAGS) F90FLAGS=$(F90FLAGS) ; ./configure --prefix=$(DESTDIR))
	(cd src && $(MAKE))
	touch build

clean:
	cp debian/control.$(EXT) debian/control
	$(checkdir)
	-rm -f build
	(cd src && $(MAKE) distclean)
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f src/work.* src/f90/*.d src/f90/work.*

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp src/libsrc/libnetcdf.a debian/tmp/usr/lib/libnetcdf-$(EXT).a
#	cp src/cxx/libnetcdf_c++.a debian/tmp/usr/lib/libnetcdf-$(EXT)_c++.a
#	(cd src/libsrc && $(MAKE) install)
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	#debstd -m -p$(package)
	(export CC=gcc ; dh_installdocs ; dh_installchangelogs ; dh_installdeb)
	dh_compress
	dpkg-gencontrol -isp -p$(package)
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## netcdf-fortran 3.6.0-1

=== src/ncdump/Makefile ===
# Makefile for ncdump(1).
#
# $Id: Makefile,v 1.15 2004/12/18 18:08:01 ed Exp $

include ../macros.make

NCGEN		= ../ncgen/ncgen
INCLUDES	= -I../libsrc

c_sources	= ncdump.c vardata.c dumplib.c
headers		= ncdump.h vardata.h dumplib.h

PROGRAM		= ncdump

PACKING_LIST	= $(c_sources) $(headers) depend \
		  test0.cdl ncdump.1 Makefile install-sh
MANUAL		= ncdump.1

lib_netcdf	= ../libsrc/libnetcdf.a

# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(lib_netcdf)

OBJS		=  ncdump.o vardata.o dumplib.o
GARBAGE		= $(PROGRAM) test0.nc test1.nc test1.cdl test2.cdl

all:		$(PROGRAM)

$(PROGRAM):	$(lib_netcdf) $(OBJS)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(LIBS) 

test:		$(PROGRAM) FORCE
	$(NCGEN) -b test0.cdl
	./$(PROGRAM) -n test1 test0.nc > test1.cdl
	$(NCGEN) -b test1.cdl
	./$(PROGRAM) test1.nc > test2.cdl
	@cmp test1.cdl test2.cdl && \
	     echo "*** $(PROGRAM) test successful ***"

install:	$(BINDIR)/$(PROGRAM) $(MANDIR)/man1/$(MANUAL)

uninstall:
	-rm -f $(BINDIR)/$(PROGRAM)
	-rm -f $(MANDIR)/man1/$(MANUAL)

$(PROGRAM)_oc : $(c_sources)
	#setopt primary_language C
	#load -C $(CPPFLAGS) $(c_sources)
	#load -C $(LIBS)
	#setopt program_name $(PROGRAM)

TAGS:		FORCE
	etags `echo $(PACKING_LIST) | fmt -1 | egrep '\.c|\.h'

include ../rules.make
include depend

=== src/ncgen/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for ncgen(1).
 #
-# $Id: Makefile,v 1.36 2001/05/24 21:46:08 steve Exp $
+# $Id: Makefile,v 1.40 2004/12/18 18:08:01 ed Exp $
 
 include ../macros.make
 
@@ -23,7 +23,9 @@
 PACKING_LIST	= Makefile depend escapes.c generic.h \
 		  ncgenyy.c ncgentab.c ncgentab.h \
 		  genlib.c genlib.h getfill.c init.c load.c \
-		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl
+		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl \
+		  lfs-tests bigf1.cdl bigf2.cdl bigf3.cdl \
+		  bigr1.cdl bigr2.cdl bigr3.cdl install-sh
 
 OBJS		= main.o load.o ncgentab.o escapes.o \
 		  getfill.o init.o genlib.o
@@ -54,25 +56,12 @@
 #
 ncgentab.c \
 ncgentab.h:	ncgen.y ncgenyy.c ncgen.h
-	@case `uname` in \
-	OSF1) \
 	    echo 1>&2 "(expect 1 shift/reduce conflict)"; \
 	    set -x; \
 	    $(yacc) -d ncgen.y; \
 	    cat y.tab.c >ncgentab.c && rm y.tab.c; \
 	    cat y.tab.h >ncgentab.h && rm y.tab.h; \
-	    set +x; \
-	    ;; \
-	*)  echo 1>&2 "Warning: $@ is out-of-date with respect to ncgen.y"; \
-	    echo 1>&2 "Warning: It should be recreated via $(yacc)" \
-		"on an OSF/1 system"; \
-	    : set -x; \
-	    : $(yacc) -d ncgen.y; \
-	    : mv y.tab.c ncgentab.c; \
-	    : mv y.tab.h ncgentab.h; \
-	    : set +x; \
-	    ;; \
-	esac
+	    set +x; 
 
 # "cat >" is used in the following rule to support linktree(1)-style
 # development and testing on a Solaris system.  "mv" is used to support
@@ -161,6 +150,11 @@
 	./ftest
 	$(NCDUMP) -n c1 ftest0.nc > ftest1.cdl
 
+# Run large file tests. User should set TEMP_LARGE to some place with
+# lots of disk space, otherwise current directory will be used.
+extra_test:
+	./lfs-tests $(TEMP_LARGE)
+
 netcdf.inc:
 	@if [ -n "$(FC)" ]; then \
 	    cp ../fortran/$@ .; \

=== debian/changelog ===
netcdf-fortran (3.6.0-1) unstable; urgency=low

  * New upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 21 Dec 2004 18:54:11 +0900

=== debian/control ===
Source: netcdf-fortran
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Standards-Version: 3.1.1

Package: netcdf-ffc5
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ffc (>=5.0) | ffcpara (>=5.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Fujitsu Fortran&C compiler ver.5. 
 Alternative developer's package of NetCDF. 
 This package provides NetCDF static libraries
 for Fujitsu Fortran&C compiler.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,7 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-#EXT=ffc
-#EXT=ffc3
-EXT=ffc4
+EXT=ffc5
 
 FC=frt
 CC=fcc

## netcdf-fortran 3.6.0-p1-1

=== src/Makefile ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# $Id: Makefile,v 1.43 2004/01/27 14:08:14 ed Exp $
+# $Id: Makefile,v 1.64 2004/12/18 16:32:58 ed Exp $
 
 
 include macros.make
 
 
 PACKAGE		= netcdf
-SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx
+SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx win32
 DIST_GARBAGE	= \
 		config.cache	\
 		config.status	\
 		MANIFEST
 PACKING_LIST	= \
-		INSTALL.html	\
-		COMPATIBILITY	\
+		INSTALL	\
 		COPYRIGHT	\
 		MANIFEST	\
 		Makefile	\
@@ -23,6 +22,9 @@
 		configure	\
 		configure.in	\
 		macros.make.in	\
+		config.guess	\
+		config.sub	\
+		install-sh	\
 		rules.make
 
 # I moved fortran to the bottom of the list, sometimes AIX make get's confused 
@@ -37,12 +39,18 @@
 test:		fortran/all \
 		libsrc/test \
 		nc_test/test nctest/test \
-		nf_test/test fortran/test f90/test \
-		ncdump/test ncgen/test cxx/test
+		nf_test/test fortran/test \
+		ncdump/all ncgen/all f90/test \
+		ncdump/test ncgen/test cxx/test 
+
+extra_test:	test
+		cd ncgen; $(MAKE) extra_test; cd ../..
+		cd nc_test; $(MAKE) extra_test; cd ../..
 
 check:		test
 
-install:	libsrc/install \
+install:	all \
+		libsrc/install \
 		fortran/install \
 		f90/install \
 		ncdump/install \
@@ -189,6 +197,7 @@
 # Make a compressed, tar(1) file of the source distribution in the current 
 # directory.
 #
+
 tar.Z:		check_system FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version
@@ -198,31 +207,47 @@
 	&& rm -rf $$id \
 	&& mkdir $$id \
 	&& ln -s .. $$id/src \
-	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | compress > $@ \
+	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(COMPRESS) > $@ \
+	&& rm -r $$id
+
+tar.gz:		check_system FORCE
+	@version=`cat VERSION`; \
+	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.gz VERSION=$$version
+
+$(PACKAGE)-$(VERSION).tar.gz:	ensure_manifest MANIFEST
+	id=$(PACKAGE)-$(VERSION) \
+	&& rm -rf $$id \
+	&& mkdir $$id \
+	&& ln -s .. $$id/src \
+	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(ZIP) > $@ \
 	&& rm -r $$id
 
 MANIFEST:	FORCE
 	$(MAKE) MANIFEST.echo >$@
 
+# This isn't to install docs, it's to make the INSTALL doc.
+INSTALL: man/netcdf-install.texi
+	makeinfo -I man -o INSTALL --no-headers man/netcdf-install.texi
+
 # Make a compressed, tar(1) file of the source distribution in the
 # appropriate FTP directory.
 #
-# NOTE: Making "ftp" will cause the "tar.Z" file to be made even if it
+# NOTE: Making "ftp" will cause the "tar.gz" file to be made even if it
 # already exists.  This is because the MANIFEST file upon which it
 # depends must be remade every time.  This is not a waste of time,
-# however, if the "tar.Z" target is made in private directories and the
+# however, if the "tar.gz" target is made in private directories and the
 # "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
 #
 ftp:		check_system FORCE
 	version=`cat VERSION`; \
-	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.Z \
+	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.gz \
 	    VERSION=$$version; \
-	test -r $(FTPDIR)/$(PACKAGE).tar.Z || exit 0; \
+	test -r $(FTPDIR)/$(PACKAGE).tar.gz || exit 0; \
 	    cd $(FTPDIR) || exit 1;
 
-$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.Z:	$(PACKAGE)-$(VERSION).tar.Z
+$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.gz:	$(PACKAGE)-$(VERSION).tar.gz
 	rm -f $@
-	cp $(PACKAGE)-$(VERSION).tar.Z $@ 
+	cp $(PACKAGE)-$(VERSION).tar.gz $@ 
 	chmod u+rw,g+rw,o=r $@
 
 # Make a compressed, tar(1) file of the binary distribution in the

=== src/cxx/Makefile ===
# $Id: Makefile,v 1.14 2004/12/18 18:09:20 ed Exp $
#
#	Development Makefile for netcdf c++ interface
#

include ../macros.make

INCLUDES	= -I../libsrc -I.

PACKING_LIST	= Makefile README depend example.c example.cpp \
		  nctst.cpp ncvalues.cpp ncvalues.h netcdf.cpp netcdfcpp.h \
		  expected netcdf.hh install-sh

LIBRARY		= libnetcdf_c++.a
lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

HEADER1		= netcdfcpp.h
HEADER2		= ncvalues.h
HEADER3		= netcdf.hh

libs		=  $(LIBRARY) $(ld_netcdf) $(LIBS)

purify		= purify

LIB_OBJS	= netcdf.o ncvalues.o

# a test program that uses some of the draft C++ interface
prog		= nctst

prog_objs 	= nctst.o
GARBAGE		= $(prog) test.out example.nc \
		  *.cps *.dvi *.fns \
		  *.log *~ *.gs *.aux *.cp *.fn *.ky *.pg *.toc *.tp *.vr

all:		$(LIBRARY) $(prog)

test:	 $(prog) FORCE
	./$(prog) > test.out
	@cmp expected test.out && \
	    echo "*** C++ test successful ***" ;

install:	$(LIBDIR)/$(LIBRARY) $(INCDIR)/$(HEADER1) $(INCDIR)/$(HEADER2)\
		$(INCDIR)/$(HEADER3)


uninstall:
	-rm -f $(LIBDIR)/$(LIBRARY)
	-rm -f $(INCDIR)/$(HEADER1)
	-rm -f $(INCDIR)/$(HEADER2)
	-rm -f $(INCDIR)/$(HEADER3)

$(prog) : $(prog_objs) $(LIBRARY) $(lib_netcdf)
	$(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) $(prog_objs) $(libs)

nctst_src: nctst.cpp netcdf.cpp ncvalues.cpp
	#load -I../libsrc $(nctst_src)
	#load -L../../lib ../../lib/libnetcdf.a
	#link

# dvips is part of the TeX package
dvips		= dvips
# texi2dvi and makeinfo are part of the texinfo package
texi2dvi	= texi2dvi
makeinfo	= makeinfo
# texi2html is available from http://wwwcn.cern.ch/dci/texi2html/
texi2html	= texi2html

print: nctst.cpp netcdfcpp.h netcdf.cpp ncvalues.h ncvalues.cpp
	vgrind -s11 -lC++ -t nctst.cpp netcdfcpp.h netcdf.cpp ncvalues.h \
				ncvalues.cpp | lpr
ps: cxxdoc.ps

info: cxxdoc.info

html: cxxdoc.html

cxxdoc.ps:	cxxdoc.tex
	$(texi2dvi) cxxdoc.tex
	$(dvips) -D 300 -o cxxdoc.ps cxxdoc.dvi

cxxdoc.info: cxxdoc.tex
	$(makeinfo) cxxdoc.tex

cxxdoc.html:	cxxdoc.tex
	$(texi2html) cxxdoc.tex

nctst.pure:	$(prog_objs)
	$(purify) $(LINK.cpp) $(prog_objs) $(libs) -o $@

include ../rules.make

netcdf.o: netcdfcpp.h ../libsrc/netcdf.h netcdf.cpp
ncvalues.o: ncvalues.h ncvalues.cpp
nctst.o: netcdfcpp.h nctst.cpp

include depend

=== src/fortran/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the FORTRAN interface to the netCDF library
 #
-# $Id: Makefile,v 1.28 2001/05/24 21:45:50 steve Exp $
+# $Id: Makefile,v 1.29 2004/12/18 18:08:01 ed Exp $
 
 
 include ../macros.make
@@ -65,7 +65,7 @@
 		  ncfortran.h	\
 		  netcdf.3f	\
 		  netcdf.inc	\
-		  nfconfig.in
+		  nfconfig.in install-sh
 #

=== src/libsrc/Makefile ===
# $Id: Makefile,v 2.43 2004/12/18 18:08:01 ed Exp $
#
#	Makefile for netcdf libsrc
#

include ../macros.make

INCLUDES = -I.

LIBRARY 	= libnetcdf.a
ld_netcdf	= -L. -lnetcdf

HEADER	= netcdf.h

MANUAL	= netcdf.3

LIB_CSRCS = \
	attr.c \
	dim.c \
	error.c \
	libvers.c \
	nc.c \
	ncio.c \
	ncx.c \
	putget.c \
	string.c \
	v1hpg.c \
	v2i.c \
	var.c

PACKING_LIST = \
	$(LIB_CSRCS) \
	attr.m4 \
	depend \
	fbits.h \
	Makefile \
	nc.h \
	ncconfig.in \
	ncio.h \
	ncx.m4 \
	onstack.h \
	putget.m4 \
	ffio.c \
	posixio.c \
	ncx.h \
	ncx_cray.c \
	netcdf.3 \
	netcdf.h \
	rnd.h \
	test_nc.sav \
	t_nc.c \
	t_ncio.c \
	t_ncxx.m4 \
	t_ncxx.c \
	t_ncx.c install-sh

LIB_OBJS = $(LIB_CSRCS:.c=.o)

GARBAGE		= t_ncio.o t_ncio t_ncx.o t_ncx t_ncxx.o t_ncxx \
	t_nc.o t_nc test.nc *.so

DIST_GARBAGE	= ncconfig.h


all:		$(LIBRARY) $(MANUAL)

check:		full_test 

full_test:	test_ncx test nctest

install:	$(LIBDIR)/$(LIBRARY)	\
		$(INCDIR)/$(HEADER)	\
		$(MANDIR)/man3/$(MANUAL)

uninstall:
	-rm -f $(LIBDIR)/$(LIBRARY)
	-rm -f $(INCDIR)/$(HEADER)
	-rm -f $(MANDIR)/man3/$(MANUAL)


libvers.o:	../VERSION libvers.c
	$(COMPILE.c) -DVERSION=`cat ../VERSION` libvers.c

test_ncio:	t_ncio
	time ./t_ncio -s 16384 -c /tmp/test.io < t_ncio.in
	time ./t_ncio -s 16384 -w -S /tmp/test.io < t_ncio.in
	-rm /tmp/test.io

test_ncx:	t_ncx t_ncxx
	./t_ncx
	./t_ncxx

test:	t_nc
	./t_nc
	cmp test.nc test_nc.sav
	@echo '*** Success ***'

nctest:		$(LIBRARY)
	(cd ../nctest ; make test)

nc_test:	$(LIBRARY)
	(cd ../nc_test ; make test)


libvers:	../VERSION libvers.c
	$(LINK.c) -DVERSION=`cat ../VERSION` -DMAKE_PROGRAM libvers.c

t_ncio:		ncio.o t_ncio.o
	$(LINK.c) t_ncio.o ncio.o $(LIBS)

t_ncx:		t_ncx.o ncx.o
	$(LINK.c) t_ncx.o ncx.o $(LIBS)

t_ncxx:		t_ncxx.o ncx.o
	$(LINK.c) t_ncxx.o ncx.o $(LIBS)


t_nc:		t_nc.o $(LIBRARY)
	$(LINK.c) t_nc.o $(ld_netcdf) $(LIBS)

saber_src:
	#load -C $(CPPFLAGS) $(LIB_CSRCS)

tags:		FORCE
	ctags -t *.c *.h

# The rule for generating the manual page is here for completeness only.
# The manual page is actually part of the distribution so that we don't
# have to depend on the non-POSIX utility m4(1).
#
$(MANUAL):	../man/netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=C $? >$@  || rm $@

include ../rules.make

.SUFFIXES: .ln
LINT = lint
LINT.c = $(LINT) $(LINTFLAGS) $(CPPFLAGS)
.c.ln:
	$(LINT.c) -c $<

llib-lnetcdf.ln: $(LIB_CSRCS)
	$(LINT.c) $(LIB_CSRCS) -y -o netcdf

lint: llib-lnetcdf.ln
	$(LINT.c) t_nc.c llib-lnetcdf.ln

attr.c:	attr.m4
ncx.c:	ncx.m4
putget.c: putget.m4
t_ncxx.c: t_ncxx.m4
# Ensure that the I/O module depends on ALL implementation files.
ncio.o:		ffio.c posixio.c

include depend

=== src/nctest/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.14 2003/04/07 22:03:01 steve Exp $

include ../macros.make
# CC = cc -fullwarn -woff 1498,1692


INCLUDES	= -I../libsrc
SRCS		= varget.c vargetg.c varput.c varputg.c vardef.c vartests.c \
		  vputget.c vputgetg.c driver.c cdftests.c dimtests.c rec.c \
		  atttests.c misctest.c add.c error.c emalloc.c val.c slabs.c
OBJS		= $(SRCS:.c=.o)
lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf
time_log	= times
GARBAGE		= nctest lint.out test.nc test2.nc $(time_log) testfile.nc
PACKING_LIST	= \
		    add.c	\
		    add.h	\
		    atttests.c	\
		    cdftests.c	\
		    depend	\
		    dimtests.c	\
		    driver.c	\
		    emalloc.c	\
		    emalloc.h	\
		    error.c	\
		    error.h	\
		    Makefile	\
		    misctest.c	\
		    nctime.c	\
		    README	\
		    rec.c	\
		    slabs.c	\
		    testcdf.h	\
		    testfile_nc.sav	\
		    tests.h	\
		    timesum.awk	\
		    val.c	\
		    val.h	\
		    vardef.c	\
		    varget.c	\
		    vargetg.c	\
		    varput.c	\
		    varputg.c	\
		    vartests.c	\
		    vputget.c	\
		    vputgetg.c


all:		nctest

test:		nctest
	./nctest
	cmp testfile.nc testfile_nc.sav

install:

uninstall:


nctest:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(LIBS) $(ld_math)

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) $(CFLAGS) nctime.o $(ld_netcdf) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

saber_src:
	#load -C $(CPPFLAGS) $(SRCS) $(ld_netcdf) $(LIBS)

include ../rules.make
include depend

=== debian/changelog ===
netcdf-fortran (3.6.0-p1-1) unstable; urgency=low

  * New upstream release
  * Intel Fortran Compiler ver.8.1 support.

 -- MASUO Nakano <masuo@geo.kyushu-u.ac.jp>  Wed, 4 May 2005 01:10:14 +0900

=== debian/control ===
Source: netcdf-fortran
Section: math
Priority: optional
Maintainer: MASUO Nakano <masuo@geo.kyushu-u.ac.jp>
Standards-Version: 3.1.1

Package: netcdf-ifc8.1
Architecture: any
Recommends: netcdfg-dev, netcdf-doc, netcdf-bin
Suggests: ifc (>=8.0)
Depends: ${shlibs:Depends}
Description: NetCDF static library build with Intel Fortran compiler ver.8.1.
 Alternative developer's package of NetCDF. This package provides NetCDF 
 static libraries for Intel Fortran compiler for Linux.

=== debian/rules ===
--- 
+++ 
@@ -2,26 +2,29 @@
 # Made with the aid of debmake, by Christoph Lameter,
 # based on the sample debian/rules file for GNU hello by Ian Jackson.
 
-EXT=ffc5
+#EXT=ffc
+#EXT=ffc3
+#EXT=ffc4
+#EXT=ffc5
 
-FC=frt
-CC=fcc
-CXX=FCC
-CPPFLAGS=-DNAGf90Fortran
-F90FLAGS=-Am
-export CPPFLAGS
+#FC=frt
+#CC=fcc
+#CXX=FCC
+#CPPFLAGS=-DNAGf90Fortran
+#F90FLAGS=-Am
 
 #EXT=ifc
 #EXT=ifc6
 #EXT=ifc7
 #EXT=ifc7.1
 #EXT=ifc8
+EXT=ifc8.1
 #export FC=ifc
-#export FC=ifort
-#export CC=gcc
-#export CXX=g++
-#export CPPFLAGS=-DNAGf90Fortran
-#export F90FLAGS=-
+export FC=ifort
+export CC=gcc
+export CXX=g++
+export CPPFLAGS=-DNAGf90Fortran
+export F90FLAGS=
 
 package=netcdf-$(EXT)
 export DESTDIR=$(shell expr `pwd`/debian/tmp/usr)

## netcdf-fortran 4.4.2

=== debian/changelog ===
netcdf-fortran (4.4.2-1) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 19:46:29 +0200

netcdf-fortran (4.4.2-1~exp5) experimental; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2-1~exp4 for serial HDF5.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 13:57:46 +0200

netcdf-fortran (4.4.2-1~exp4) experimental; urgency=medium

  * Require at least libnetcdf-dev 4.3.3.1.
  * Update watch file to handle other tar extensions in filenamemangle.
  * Move documentation build to build-indep target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 19:01:39 +0200

netcdf-fortran (4.4.2-1~exp3) experimental; urgency=medium

  * Add Breaks/Replaces on libnetcdf-dev to libnetcdff-dev.
    (closes: #789935)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 19:09:57 +0200

netcdf-fortran (4.4.2-1~exp2) experimental; urgency=medium

  * Update my email to use @debian.org address.
  * Add license & copyright for Apache-2.0 licensed files.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Jun 2015 21:29:18 +0200

netcdf-fortran (4.4.2-1~exp1) experimental; urgency=medium

  [ Ross Gammon ]
  * Initial release (Closes: #775524)
  * Build with latest gfortran (Closes: #751250)
  * Add fixed bug to changelog
  * Imported Upstream version 4.4.2
  * Refresh patches & drop patch applied upstream
  * Update copyright dates

  [ Bas Couwenberg ]
  * Improve initial Debian packaging.
  * Imported Upstream version 4.4.1
  * Update copyright file, add Texinfo sections.
  * Generate documentation.
  * Fix executable examples.
  * Add patch to fix privacy-breach-logo lintian error,
    by using the local logo image.
  * Fix netcdf_fortran.3 man page install.
  * Add patch to fix hyphen-used-as-minus-sign issues in man page.
  * Add symbols file for libnetcdff.
  * Mark hyphen-used-as-minus-sign.patch as Forwarded.
  * Mark hyphen-used-as-minus-sign.patch as Applied-Upstream.
  * Install RELEASE_NOTES.md as upstream changelog.

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 14 Feb 2015 00:20:06 +0100

=== debian/control ===
Source: netcdf-fortran
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>,
           Ross Gammon <rossgammon@mail.dk>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gfortran,
               doxygen,
               graphviz,
               libjs-jquery,
               libnetcdf-dev (>= 1:4.4.0~rc2),
               pkg-config
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/netcdf-fortran.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-fortran.git
Homepage: http://www.unidata.ucar.edu/software/netcdf/

Package: libnetcdff6
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fortran interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the Fortran shared library.

Package: libnetcdff-dev
Architecture: any
Section: libdevel
Depends: libnetcdff6 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Suggests: netcdf-bin,
          netcdf-doc
Breaks: libnetcdf-dev (<< 1:4.3.3.1+ds-1~)
Replaces: libnetcdf-dev (<< 1:4.3.3.1+ds-1~)
Description: creation, access, and sharing of scientific data in Fortran
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains headers for the Fortran library.

Package: libnetcdff-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libnetcdff6 (= ${binary:Version}),
         ${misc:Depends}
Suggests: gdb
Description: debugging symbols for NetCDF Fortran
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains debugging symbols for the Fortran library.

Package: libnetcdff-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: NetCDF Fortran documentation
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains documentation for the Fortran library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# Verbose test output
export VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

override_dh_clean:
	dh_clean

	$(RM) -r docs/doxygen_sqlite3.db docs/html/ docs/man/ docs/latex/

override_dh_auto_configure:
	dh_auto_configure -- --enable-doxygen --enable-dot

override_dh_auto_build-arch:
	dh_auto_build --arch

override_dh_auto_build-indep:
	dh_auto_build --indep
	(cd docs && doxygen)

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_install:
	$(RM) debian/tmp/usr/lib/*/*.la
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES.md

override_dh_installexamples:
	dh_installexamples
	chmod 644 debian/*/usr/share/doc/*/examples/*/*.sh

override_dh_strip:
	dh_strip --dbg-package=libnetcdff-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
